ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Expand an array in W2K Server

 
Ayman Altounji
Valued Contributor

Expand an array in W2K Server

I have a ML570 with a 5304/128 controller and 5 36GB drives in a RAID5 array. I purchased two additional drives, popped them into the machine, and ran the Compaq Array Configuration Utility. It tells me right off that there are unassigned physical drives. I choose the "Expand an Existing Array" option. I then choose the "Extend an Existing Logical Drive" option. I am then warned that "Extension is not currently supported on Windows 2000. If the operating system for any logical drive on this controller is Windows 2000, please do not attempt to use this feature, as data-loss could occur."

Do they mean W2K Pro, or W2K Server, or both? Can I extend the logical drive if I boot off the SmartStart CD, rather than run the Array Utility from the OS? I have VolumeManager from PowerQuest...can I simply add more free space to the array, and then use that software to extend the logical drive into the now-available space? Any help would be appreciated...I would LOVE to be able to extend the array without rebooting, but if I have to work late I will. :(
3 REPLIES
Mark Cloutier
Respected Contributor

Re: Expand an array in W2K Server

two answers to this 1) are you using the ACU off of a smartstart version 5 and up? if so it does not support extension..you will need the 4.9 acu which you can get off of our website..second are your hard disks dynamic? cause if they are then you cannot perform this..if they arent then it shouldwork
We are here for a good time, not a long time!
Ayman Altounji
Valued Contributor

Re: Expand an array in W2K Server

No, I am not running dynamic disks. Which version of the ACU comes with SmartStart 4.9? 2.50A? The revision history goes all the way back to 2.40A, but 2.50A is the first one that is compatible with the 5300. I'll give 2.50A a try and see what happens... ;) Thanks for the reply!!
Ayman Altounji
Valued Contributor

Re: Expand an array in W2K Server

A new twist. I downloaded and installed CP000192.EXE (ACU v2.50A) and tried to run it. I now get an error message stating "The Compaq Smart Array 5300 Controller in Unknown Slot has been configured with a more recent version of the Compaq Array Configuration Utility. At least one logical drive was configured with version 2.60. To prevent data loss, configuration changes to this controller are not allowed."
The program then closes. Guess the only way I'm going to extend this logical drive is with a reboot. That gets me pretty ticked since the whole reason I went with RAID 5, hot-pluggable drives, non-dynamic W2K disks, and an expensive 5300 controller was to get online extension of my logical drives. Ah well.
Any plan for W2K extension in the future? Thanks again for trying to help!